--
-- $Id$
--
-- Mandateren grote lijst met personen voor specifieke kostenplaatsen (zie Excel bij logcentre call)
-- Moet in 2x want een lijst met meer dan 1000 mag niet.

DEFINE thisfile = 'AADS#51603.SQL'
DEFINE dbuser   = '^AADS'
DEFINE custid   = 'AADS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

INSERT INTO aaxx_bundel_catering_ref (mld_opdr_key,
                                      res_rsv_artikel_key,
                                      res_rsv_artikel_prijs,
                                      res_rsv_artikel_verwerkt)
    SELECT mld_opdr_key,
           res_rsv_artikel_key,
           res_rsv_artikel_prijs,
           TO_DATE ('20171202', 'yyyymmdd')
      FROM (SELECT prs_bedrijf_key,
                   prs_kostenplaats_key,
                   alg_locatie_key,
                   alg_gebouw_key,
                   mld_stdmelding_key,
                   b.res_rsv_artikel_key,
                   (SELECT mld_opdr_key
                      FROM mld_opdr o, mld_melding m
                     WHERE     mld_opdr_omschrijving =
                               'Catering factuur tot: 01-12-2017'
                           AND o.prs_kostenplaats_key =
                               b.prs_kostenplaats_key
                           AND o.mld_melding_key = m.mld_melding_key
                           AND m.mld_alg_onroerendgoed_keys =
                               b.alg_gebouw_key
                           AND o.mld_uitvoerende_keys = b.prs_bedrijf_key)
                       mld_opdr_key,
                   b.res_rsv_artikel_prijs
              FROM aads_v_bundel_catering b, res_rsv_artikel rra
             WHERE     b.res_rsv_artikel_levering <
                       TO_DATE ('20171201', 'yyyymmdd')
                   AND b.res_status_bo_key = 5
                   AND rra.res_rsv_artikel_key = b.res_rsv_artikel_key
                   AND res_rsv_artikel_afgemeld <
                       TO_DATE ('20171211 15:01:15', 'yyyymmdd hh24:mi:ss');

UPDATE res_rsv_artikel
   SET res_status_bo_key = 6
 WHERE res_rsv_artikel_key IN
           (SELECT res_rsv_artikel_key
              FROM aaxx_bundel_catering_ref
             WHERE res_rsv_artikel_verwerkt =
                   TO_DATE ('20171202', 'yyyymmdd'));

ALTER TRIGGER RES_T_RES_RSV_ARTIKEL_B_IU
    DISABLE;

UPDATE res_rsv_artikel
   SET res_rsv_artikel_verwerkt =
           TO_DATE ('20171211 15:01:16', 'yyyymmdd hh24:mi:ss')
 WHERE res_rsv_artikel_verwerkt =
       TO_DATE ('20171218 11:17:52', 'yyyymmdd hh24:mi:ss');

ALTER TRIGGER RES_T_RES_RSV_ARTIKEL_B_IU
    ENABLE;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile